Package org.eclipse.jgit.errors

## Class InvalidPatternException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.jgit.errors.InvalidPatternException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `NoClosingBracketException`

    public class InvalidPatternException
    extends Exception

Thrown when a pattern passed in an argument was wrong.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`InvalidPatternException​(String message, String pattern)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getPattern()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidPatternException

    public InvalidPatternException​(String message,
                                   String pattern)

Parameters:
  `message` - explains what was wrong with the pattern.
  `pattern` - the invalid pattern.

### Method Detail

#### getPattern

    public String getPattern()

Returns:
  the invalid pattern.